pg_controldata
Prev | Up | PostgreSQL Server Applications | Home | Next

## pg_controldata

pg_controldata — display control information of a PostgreSQL database cluster

## Synopsis

`pg_controldata` [`option`] [ [ `-D` | `--pgdata` ] `datadir` ]

## Description

`pg_controldata` prints information initialized during `initdb`, such as the catalog version. It also shows information about write-ahead logging and checkpoint processing. This information is cluster-wide, and not specific to any one database.

This utility can only be run by the user who initialized the cluster because it requires read access to the data directory. You can specify the data directory on the command line, or use the environment variable `PGDATA`.

## Options

`-D `datadir``
`--pgdata=`datadir``

  Specifies the directory where the database cluster is stored.

`-V`
`--version`

  Print the pg_controldata version and exit.

`-?`
`--help`

  Show help about pg_controldata command line arguments, and exit.

## Environment

`PGDATA`

  Default data directory location

`PG_COLOR`

  Specifies whether to use color in diagnostic messages. Possible values are `always`, `auto` and `never`.

Prev | Up | Next
pg_checksums | Home | pg_createsubscriber